import PropTypes from 'prop-types';
import { BASE_CLASSNAME } from './config.js';
import PinInputField from './PinInputField.js';
import { jsx as _jsx } from "react/jsx-runtime";
var CLASSNAME = BASE_CLASSNAME + "FieldsWrapper";

var PinInputChildren = function PinInputChildren(_ref) {
  var _ref$autoFocus = _ref.autoFocus,
      autoFocus = _ref$autoFocus === void 0 ? false : _ref$autoFocus,
      length = _ref.length,
      children = _ref.children;
  if (children) return children;
  return /*#__PURE__*/_jsx("div", {
    className: CLASSNAME,
    children: Array(length).fill('').map(function (value, index) {
      return /*#__PURE__*/_jsx(PinInputField, {
        autoFocus: Boolean(index === 0 && autoFocus)
      }, index);
    })
  });
};

export default PinInputChildren;